#standard equipment type config file
#    
#     Converter Group
#
#     Constraint to the Solution config file:
#               Relevant Sampler List: 
#               Relevant Equipment List: 	
# 
# 

#1. Equipment basic information
[EQUIPMENT_TYPE_INFO]
#Type ID    Group Type Flag	Type Name	    Type Name Resource ID		  						
1100	    1			Converter Group	    1	                

#2. Define signals of this standard equipment
#2.1 Define the Sampling Signals
[SAMPLING_SIGNAL_NUM]
1

[SAMPLING_SIGNAL_INFO]
#note:if you want to change the sig name, please change the name difined in the relevant resource file synchronously
#Sig ID		Sig Name				Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Storing Threshold	Storing Interval	Evaluation Expression		Value Range			Value Diaplay Attribute		Value Display Level	Value Display ID	Value Display Format	Disp Exp
#//changed by Frank Wu,20140915,1/N/N, for Adding converter and rectifier total current and voltage to the local display
1		Total current				2			A		-1				-3			F			NA			NA			NA				0.0/20000.0			W/L				NA			5			.1			NA
2		Average voltage				3			V		-1				-3			F			NA			NA			NA				0.0/65.0			W/L				NA			4			.1			NA
12		Used capacity				4			%		-1				-3			F			NA			NA			NA				0/150				W/L				NA			6			.1			NA
4		Max used capacity			5			%		-1				-3			F			NA			NA			NA				0/150				W/L				NA			7			.1			NA
5		Min used capacity			6			%		-1				-3			F			NA			NA			NA				0/150				W/L				NA			8			.1			NA
6		Communicating Converter			7			NA		-1				-3			U			NA			NA			NA				0/100				W/L				NA			2			NA			NA
7		AC On and Communicating Num		8			NA		-1				-3			U			NA			NA			NA				NA				W/L				NA			3			NA			NA
8		Number of Converter			9			NA		1				4101			U			NA			NA			NA				0/100				W/L				NA			1			NA			NA
9		Multi-Conv failure status		11			NA		-1				-3			E			NA			NA			NA				[ID36=Normal]/[ID37=Failure]	NA				NA			10			NA			NA
#10		Converter lost status			82			NA		-1				-3			E			NA			NA			NA				[ID36=Normal]/[ID37=Failure]	W/L				NA			11			NA			NA
13		Rated Voltage				102			V		1				4105			F			NA			NA			NA				NA				W/L				NA			21			.1			NA
14		Rated Current				103			A		1				4106			F			NA			NA			NA				NA				W/L				NA			22			.2			NA
11		Converter lost status			82			NA		-1				-3			E			NA			NA			NA				[ID36=Normal]/[ID37=Failure]	NA				NA			11			NA			NA
3		Average Current				111			A		-1				-3			F			NA			NA			NA				NA				NA				NA			4			.1			NA
#4		Average Voltage				117			V		-1				-3			F			NA			NA			NA				NA				W/L				NA			4			.1			NA
26		Comunication status			294			NA		1				4103			E			NA			NA			NA				[ID36=Normal]/[ID37=Failure]	NA				NA			11			NA			NA
32		System Current Limit Point		135			A		-1				-3			F			NA			NA			NA				NA				NA			NA			98			.1			NA
33		System Current Limit Value		137			A		-1				-3			F			NA			NA			NA				NA				NA			NA			97			.1			NA
34		Minimize Current Limit Value		139			A		-1				-3			F			NA			NA			NA				NA				NA			NA			97			.1			NA
35		Converter Protect			298			NA		-1				-3			E			NA			NA			NA				[ID36=Normal]/[ID37=Failure]	NA				NA			10			NA			NA
36		Input Rated Voltage			299			V		1				4104			F			NA			NA			NA				NA				W/L				NA			22			.2			NA
37		Total Rated Current			300			A		-1				-3			F			NA			NA			NA				NA				W/L				NA			22			.2			NA
38		Converter Type				301			NA		1				4107			E			NA			NA			NA				[ID302=24-48V Conv]/[ID303=48-24V Conv]/[ID304=400-48V Conv]	NA				NA			10			NA			NA
39		Total Output Power			305			kW		-1				-2			F			NA			NA			[0,0,1]*[0,0,2]/1000			NA				NA				NA			3			.1			NA
#//changed by Frank Wu,20140915,1/N/N, for Adding converter and rectifier total current and voltage to the local display
40		LCD DispExp ID=(1,2)(internal use)		1			NA		-1				-3			U			NA			NA			NA				NA				NA				NA			888			NA			[0,0,8]>0
41		Input Voltage				307			V		1				4108			F			NA			NA			NA				0.0/20000.0			W/L				NA			30			.1			NA
#signal added for 400V converter installation Wizard implementation For rest of the converter systems this signal is not useful
42		Converter 400 Connect				1			NA		-1				-3			U			NA			NA			NA				NA				NA				NA			888			NA			NA
100		Existence State				108			NA		1				4102			E			NA			NA			NA				[ID109=Existent]/[ID110=Not Existent]	NA			NA			39			NA			NA


#2.2 Define the Control Signals
[CTRL_SIGNAL_NUM]
7

[CTRL_SIGNAL_INFO]
#Sig ID		Sig Name				Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Value Range			Value Display Attribute		Value Control Attribute		Controlable Expression		Authority Level		Value Display ID	Value Display Format	Control Channel ID	Control Step	Control Param	Control Expression							On Control Action	Disp Exp
1		Current limit control			12			%		1				NA			F			10/121				W/L				W/L				NA				O			12			.1			4102			0.1		NA		NA									NA			[0,0,36]>200
2		DC voltage control			13			V		1				-3			F			42/58				W/L				W/L				NA				O			11			.1			4101			0.1		NA		NA									NA			[2,2,225]==0
3		All DC On/Off Control			14			NA		1				NA			E			[ID39=Open]/[ID38=Close]	W/L				W/L				NA				O			13			NA			4108			NA		NA		NA									NA			NA
5		All LED Control  			16			NA		1				NA			E			[ID43=Clear]/[ID42=Flash]	W/L				W/L				NA				O			15			NA			4107			NA		NA		NA									NA			NA
6		Fan full speed control 			17			NA		1				NA			E			[ID45=Half]/[ID44=Full]		W/L				W/L				NA				O			16			NA			4106			NA		NA		NA									NA			NA
8		Reset rectifier lost alarm		84			NA		-1				NA			E			[ID74=Yes]			W/L				W/L				1				O			18			NA			-3			NA		NA		NA									[0,2,18]=0		NA
10		E-Stop Function				92			NA		1				NA			E			[ID39=Open]/[ID38=Close]	NA				NA				NA				O			20			NA			4104			NA		NA		NA									NA			NA
12		HVSD Voltage				118			V		1				NA			F			40/60				NA				W/L				NA				O			12			.1			4103			0.1		NA		NA									NA			[2,2,225]==0

11		DC voltage control 24V			295			V		1				NA			F			24/28				W/L				W/L				NA				O			11			.1			4101			0.1		NA		NA									NA			[2,2,225]==1
16		HVSD Voltage				118			V		1				NA			F			27/30				NA				W/L				NA				O			12			.1			4103			0.1		NA		NA									NA			[2,2,225]==1
13		Confirm rectifier Postion(Display)	86			NA		1				NA			E			[ID74=Yes]			W/L				W/L				1				O			16			NA			-3			1		NA		NA									[0,2,21]=1		NA
14		Clear Converter Comm Fail 		120			NA		1				-3			E			[ID74=Yes]			W/L				W/L				1				O			21			NA			4109			NA		NA		NA									[0,2,18]=101		NA
15		Clear All Converters Comm Fail		293			NA		1				-3			E			[ID74=Yes]			W/L				W/L				1				O			21			NA			4110			NA		NA		NA									NA			NA
17		Current limit control(24V)		12			%		1				NA			F			10/116				W/L				W/L				NA				O			12			.1			4102			0.1		NA		NA									NA			[0,0,36]<200
18		Clear Conv IDs					306			NA		1				-3			E			[ID74=Yes]			W/L				W/L				1				O			21			NA			4111			NA		NA		NA									NA		NA

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
#2.3 Define the Setting Signals                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
[SETTING_SIGNAL_NUM]                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
1

[SETTING_SIGNAL_INFO]
#SID		SigName						SigNameResID	SigUnit		IdxOfSamplerList	SamplerChannelID	SigValueType	DefaultValue	ValueRange					ValueDisplayAttribute	ValueSettingAttribute	SettableExpression				Authority Level		Value Display ID	Value Display Format	Control Channel ID	Setting Step	Control Expression		Persistence Falg	On Control Action	Disp Exp
8		WALK-In enabled					26		NA		1			-3			E		0		[ID54=disabled]/[ID55=enabled]			NA			NA			NA						E			1			NA			4105			NA		NA				1			NA			NA
18		Conv Number on last power-on			81		NA		-1			-3			U		0		0/101						NA			W/L			NA						E			13			NA			-3			1		NA				1			NA			NA
21		Confirm converter Postion			86		NA		-1			-3			E		0		[ID73=No]/[ID74=Yes]				NA			NA			NA						E			2			NA			-3			1		NA				1			NA			NA
22		Default Current Limit				118		%		1			-3			F		121		50/121						NA			W/L			NA						E			3			.1			-3			0.1		NA				1			NA			NA

###	48V Sys!
23		Default Output Volt				113		V		1			-3			F		52		48/54						W/L			W/L			NA						E			4			.1			-3			0.1		NA				1			NA			[2,2,225]==0
27		Default HVSD Volt				119		V		1			-3			F		59		48/60						W/L			W/L		([0,2,27]>([0,2,23]+1)) &([0,2,27]>[0,2,25])					E			8			.1			-3			0.1		NA				1			NA			([2,2,225]==0) & ([0,2,28] == 1)

###	Following Sigs are  unusedLAIt is only to made some alarm at convert Unit
24		Under Voltage Pst(48V)				114		V		1			-3			F		47		42/55						W/L			W/L		[0,2,24]<[0,2,25]					E			5			.1			-3			0.1		NA				1			NA			[2,2,225]==0
25		Over Voltage Pst(48V)				115		V		1			-3			F		55		49/59						W/L			W/L		([0,2,24]<[0,2,25]) & ([0,2,25]<[0,2,27])					E			6			.1			-3			0.1		NA				1			NA			[2,2,225]==0
26		Over Current Pst				116		A		1			-3			F		500		1/1600						W/L			W/L			NA						E			7			.1			-3			0.1		NA				1			NA			NA
30		Under Voltage Pst(24V)				114		V		1			-3			F		23.5		21/27.5						W/L			W/L		[0,2,30]<[0,2,31]					E			5			.1			-3			0.1		NA				1			NA			[2,2,225]==1
31		Over Voltage Pst(24V)				115		V		1			-3			F		28		27/30						W/L			W/L		([0,2,30]<[0,2,31]) & ([0,2,31]<[0,2,32])					E			6			.1			-3			0.1		NA				1			NA			[2,2,225]==1
28		HVSD Enabled					121		NA		-1			-3			E		0		[ID54=disable]/[ID55=enable]			W/L			W/L			NA						O			41			NA			-3			NA		NA				1			NA			NA


###24V Sys!
29		Default Output Volt(24V)			113		V		1			-3			F		27		24/28						W/L			W/L		[0,2,29] < ([0,2,32]-0.5)				E			4			.1			-3			0.1		NA				1			NA			[2,2,225]==1
32		Default HVSD Volt(24V)				119		V		1			-3			F		29		27/30						W/L			W/L		([0,2,32]>([0,2,29]+0.5))&([0,2,32]>[0,2,31])					E			8			.1			-3			0.1		NA				1			NA			([2,2,225]==1) & ([0,2,28] == 1)

47		System Current Limit Enable			136		NA		-1			-3			E		0		[ID54=disabled]/[ID55=enabled]			W/L			W/L			NA						O			43			NA			-3			NA		NA				1			NA			NA
48		Default Current Limit Point			138		%		-1			-3			F		121		10/121						NA			NA			NA						E			44			.0			-3			1		NA				1			NA			[0,2,47]==1
49		Default Current Limit Point(Interl use)		297		%		-1			-3			F		121		1/121						NA			NA			NA						E			44			.0			-3			1		NA				1			NA			NA
50		Rect Number on last power-on(Interl use)	296		NA		-1			-3			U		0		0/101						NA			NA			NA						E			13			NA			-3			1		NA				1			NA			NA
51		System Current Limit Point			135		A		-1			-3			F		12000		1/12000						W/L			W/L			NA						E			44			.0			-3			1		NA				1			NA			[0,2,47]==1




#2.4 Define the Alarm Singals
[ALARM_NUM]
0

[ALARM_INFO]
#alarm level: OA MA CA
#Alarm ID	Alarm Name			Alarm Name Resource ID		Alarm Level	Alarm Expression	Alarm Delay	Suppressing Expression		Relay ID
#1		Rectifier AC Failure		32				MA		[0,0,9]==1		NA		NA				NA
2		Multi-rectifiers Failure	33				CA		[0,0,9]==1		NA		[2,3,2] | [0,3,5]				NA
3		Rectifier lost			83				CA		[0,0,11]==1		15		NA				NA
#4		Rectifier redunt Active		107				OA		[0,0,23]==1		NA		NA				NA
5		All Rectifiers No Response	104				MA		[0,0,26]==1		NA		[2,3,2]				NA
19		Over Current			290				CA		([0,0,1]>[0,2,26])|( [0,3,19]& [0,0,1]>[0,2,26] - 5)	NA		NA				NA
#20		Over Voltage			291				MA		[0,0,2]>[0,2,25]	NA		NA				NA
#21		Under Voltage			292				MA		[0,0,2]<[0,2,24]	NA		NA				NA
22		Rectifier Protect		298				MA		[0,0,35]==1		NA		NA				NA
